frontend web para homework-manager (version ninty)
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

package.json 1.4KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455
  1. {
  2. "name": "ninty-web",
  3. "version": "0.1.0",
  4. "private": true,
  5. "author": "void <v0id@riseup.net>",
  6. "scripts": {
  7. "serve": "vue-cli-service serve",
  8. "build": "vue-cli-service build --modern",
  9. "build:test": "TEST_BUILD=yes vue-cli-service build"
  10. },
  11. "dependencies": {
  12. "apollo-cache-inmemory": "^1.5.1",
  13. "apollo-cache-persist": "^0.1.1",
  14. "apollo-client": "^2.5.1",
  15. "apollo-link": "^1.2.11",
  16. "apollo-link-batch-http": "^1.2.11",
  17. "bulma": "^0.7.4",
  18. "core-js": "^2.6.5",
  19. "graphql": "^14.2.1",
  20. "graphql-tag": "^2.10.1",
  21. "qrcode": "^1.3.3",
  22. "qrcode.vue": "^1.6.1",
  23. "serviceworker-webpack-plugin": "^1.0.1",
  24. "vue": "^2.6.10",
  25. "vue-apollo": "^3.0.0-beta.29",
  26. "vue-i18n": "^8.11.2",
  27. "vue-router": "^3.0.3",
  28. "vue-snotify": "^3.2.1"
  29. },
  30. "devDependencies": {
  31. "@kazupon/vue-i18n-loader": "^0.3.0",
  32. "@vue/cli-plugin-babel": "^3.7.0",
  33. "@vue/cli-service": "^3.7.0",
  34. "babel-plugin-graphql-tag": "^2.2.0",
  35. "brotli-webpack-plugin": "^1.1.0",
  36. "compression-webpack-plugin": "^2.0.0",
  37. "glob-all": "^3.1.0",
  38. "prettier": "1.17.1",
  39. "purgecss-webpack-plugin": "^1.5.0",
  40. "sass": "^1.18.0",
  41. "sass-loader": "^7.1.0",
  42. "vue-svg-loader": "^0.12.0",
  43. "vue-template-compiler": "^2.6.10"
  44. },
  45. "postcss": {
  46. "plugins": {
  47. "autoprefixer": {}
  48. }
  49. },
  50. "browserslist": [
  51. "> 1%",
  52. "last 2 versions"
  53. ],
  54. "license": "AGPL-3.0-only"
  55. }